<?php

/*
 * ##################################################
 * #                                                #
 * # rkCSD-WebsiteEngine_2                          #
 * # Programmed for the new web decade i.o.b. rkCSD #
 * #                                                #
 * # Copyright (C) by D. Morabito & R. Knipschild   #
 * #                                                #
 * # staff@newsocialife.com         email@rkcsd.com #
 * # www.newsocialfie.com   www.ihr-edv-fachmann.de #
 * #                                                #
 * ##################################################
 * 
 * File: templating.php - extensions
 * Version: 1.0.0
 * Last modified: 2013/03/12 12:20 GMT
 * Author: Danny Morabito, René Knipschild
 * 
 * ===Notes==========================================
 * There are currently no notes.
 * ==================================================
 */

require "./Twig/lib/Twig/Autoloader.php";
Twig_Autoloader::register();
class templating {
	function __construct($config) {
		$this->loader = new Twig_Loader_Filesystem($config["templates"]);
		if(isset($config["cache"]))
			$this->engine = new Twig_Environment($this->loader, array(
				'cache' => $config["cache"]
			));
		else
			$this->engine = new Twig_Environment($this->loader, array());
	}
	function render($template, $args = array()) {
		return $this->engine->render($template, $args);
	}
}

?>