<?php

/*
 * ##################################################
 * #                                                #
 * # rkCSD-WebsiteEngine_2                          #
 * # Programmed for the new web decade i.o.b. rkCSD #
 * #                                                #
 * # Copyright (C) by D. Morabito & R. Knipschild   #
 * #                                                #
 * # staff@newsocialife.com         email@rkcsd.com #
 * # www.newsocialfie.com   www.ihr-edv-fachmann.de #
 * #                                                #
 * ##################################################
 * 
 * File: index.php
 * Version: 1.0.0
 * Last modified: 2013/03/12 12:20 GMT
 * Author: Danny Morabito, René Knipschild
 * 
 * ===Notes==========================================
 * There are currently no notes.
 * ==================================================
 */

require "autoload.php";
$lib = new rkCSD();
$lib->debug(1);
$lib->add("router");
$lib->add("templating");
$lib->add("mysql");
$lib->add("session");
$lib->add("login", $lib);
$lib->add("lessc");
$lib->add("cms");
/*$lib->add("jQuery");*/
$news = json_decode(file_get_contents("news.json"));
$lib->routes["/"] = array("GET", function() use($lib, $news) {
	return $lib->render("index.html", array("news" => $news));
});
$lib->lessc->compileFile("styles/style.less", "styles/style.css");
$lib->run();

?>